---
type: api
title: Get a private location
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-private-location
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-get-private-location
products:
  - Kibana
---

# Get a private location

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/synthetics/private_locations/{id}`
- `GET` `/s/{space_id}/api/synthetics/private_locations/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

#### Path Parameters

- `id` (string)
  A private location identifier or label.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

You must have `read` privileges for the Synthetics and Uptime feature in the Observability section of the Kibana feature privileges.

## Response

A successful response.

`application/json`

- `agentPolicyId` (string)
  The ID of the agent policy associated with the private location.
- `geo` (object)
  Geographic coordinates (WGS84) for the location.
  - `lat` (number)
    The latitude of the location.
  - `lon` (number)
    The longitude of the location.
- `id` (string)
  The unique identifier of the private location.
- `isInvalid` (boolean)
  Indicates whether the location is invalid. If `true`, the location is invalid, which means the agent policy associated with the location is deleted.
- `label` (string)
  A label for the private location.
- `namespace` (string)
  The namespace of the location, which is the same as the namespace of the agent policy associated with the location.
## Code Examples

#### Console

```console
GET /api/synthetics/private_locations/{id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/synthetics/private_locations/{id}"
```

## Response Examples

#### Get private location response example1

```json
{
    "label": "Test private location",
    "id": "test-private-location-id",
    "agentPolicyId": "test-private-location-id",
    "isServiceManaged": false,
    "isInvalid": false,
    "geo": {
        "lat": 0,
        "lon": 0
    },
    "namespace": "default"
}
```

